Package virtuoso.jdbc4

## Class VirtuosoExplicitString

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoExplicitString

    public class VirtuosoExplicitString
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `VirtuosoExplicitString​(byte[] bytes, int dtp)`
`protected` `VirtuosoExplicitString​(java.lang.String str, int dtp, VirtuosoConnection con)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `cli_wide_to_escaped​(java.lang.String str, java.util.Hashtable ht)`
`protected boolean` `cli_wide_to_narrow​(java.lang.String str, java.util.Hashtable charset_ht)`
`boolean` `equals​(java.lang.Object obj)`
`protected int` `getDtp​()`
`java.lang.String` `toParamString​()`
`java.lang.String` `toString​()`
`protected void` `write​(virtuoso.jdbc4.VirtuosoOutputStream os)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VirtuosoExplicitString

    protected VirtuosoExplicitString​(byte[] bytes,
                                     int dtp)

#### VirtuosoExplicitString

    protected VirtuosoExplicitString​(java.lang.String str,
                                     int dtp,
                                     VirtuosoConnection con)
                              throws VirtuosoException

Throws:
  `VirtuosoException`

### Method Detail

#### cli_wide_to_narrow

    protected boolean cli_wide_to_narrow​(java.lang.String str,
                                         java.util.Hashtable charset_ht)

#### cli_wide_to_escaped

    protected boolean cli_wide_to_escaped​(java.lang.String str,
                                          java.util.Hashtable ht)

#### getDtp

    protected int getDtp​()

#### write

    protected void write​(virtuoso.jdbc4.VirtuosoOutputStream os)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString​()

Overrides:
  `toString` in class `java.lang.Object`

#### toParamString

    public java.lang.String toParamString​()

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`